#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Package
%define		pnam	DeprecationManager
%include	/usr/lib/rpm/macros.perl
Summary:	Package::DeprecationManager - manage deprecation warnings for your distribution
Summary(pl.UTF-8):	Package::DeprecationManager - zarządzanie ostrzeżeniami o przestarzałych elementach
Name:		perl-Package-DeprecationManager
Version:	0.17
Release:	2
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Package/Package-DeprecationManager-%{version}.tar.gz
# Source0-md5:	7b46e92aaae3047ede3c67c1714ab88e
URL:		http://search.cpan.org/dist/Package-DeprecationManager/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Params-Util
BuildRequires:	perl-Scalar-List-Utils >= 1.33
BuildRequires:	perl-Sub-Install
BuildRequires:	perl-Sub-Name
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Warnings
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to manage a set of deprecations for one or more
modules.

%description -l pl.UTF-8
Ten moduł pozwala na zarządzanie zbiorem przestarzałych elementów dla
jednego lub większej liczby modułów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Package/DeprecationManager.pm
%{_mandir}/man3/Package::DeprecationManager.3pm*
%changelog
* Sun Nov 06 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Package-DeprecationManager.git;a=log;h=master

* Sun Nov 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 758d645
- BR: perl-Test-Warnings; release 2

* Sun Nov 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 4549994
- updated to 0.17

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 555dfb5
- updated to 0.13

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> f7ff40c
- up to 0.11

* Tue Mar 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 90b3273
- new

